Groovy Documentation

## org.codehaus.groovy.grails.web.pages
[Java] Class TagLibraryLookup

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.TagLibraryLookup

All Implemented Interfaces:
  ApplicationContextAware

    public class TagLibraryLookup

Looks up tag library instances.

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary
`void` | `afterPropertiesSet()`
`boolean` | `doesTagReturnObject(java.lang.String namespace, java.lang.String tagName)`
`java.util.Set` | `getAvailableNamespaces()` @return The namespaces available
`boolean` | `hasNamespace(java.lang.String namespace)` Returns whether the given namespace is in use
`NamespacedTagDispatcher` | `lookupNamespaceDispatcher(java.lang.String namespace)` Looks up a namespace dispatcher for the given namespace
`groovy.lang.GroovyObject` | `lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)` Looks up a tag library for the given namespace and tag name.
`void` | `registerTagLib(GrailsTagLibClass taglib)` Registers a tag library for lookup.
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### doesTagReturnObject

    public boolean doesTagReturnObject(java.lang.String namespace, java.lang.String tagName)

### getAvailableNamespaces

    public java.util.Set getAvailableNamespaces()

  Returns:
    The namespaces available

### hasNamespace

    public boolean hasNamespace(java.lang.String namespace)

  Returns whether the given namespace is in use
  Parameters:
    `namespace` - The namespace
  Returns:
    True if it is in use

### lookupNamespaceDispatcher

    public NamespacedTagDispatcher lookupNamespaceDispatcher(java.lang.String namespace)

  Looks up a namespace dispatcher for the given namespace
  Parameters:
    `namespace` - The namespace
  Returns:
    The NamespacedTagDispatcher

### lookupTagLibrary

    public groovy.lang.GroovyObject lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)

  Looks up a tag library for the given namespace and tag name.
  Parameters:
    `namespace` - The tag library namespace
    `tagName` - The tag name
  Returns:
    The tag library or null if it wasn't found

### registerTagLib

    public void registerTagLib(GrailsTagLibClass taglib)

  Registers a tag library for lookup. Each of the tags in the library is mapped by namespace:name to the taglib bean. If the taglib has already been registered, this method will override the existing information and update the tags to use the new version.
  Parameters:
    `taglib` - The taglib descriptor class.

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation